org.apache.fop.fo.properties

## Class CommonMarginBlock

- java.lang.Object
- - org.apache.fop.fo.properties.CommonMarginBlock

-     public class CommonMarginBlock
      extends java.lang.Object

  Store all common margin properties for blocks. See Sec. 7.10 of the XSL-FO Standard. Public "structure" allows direct member access.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Length` | `endIndent` The "end-indent" property.
    `Length` | `marginBottom` The "margin-bottom" property.
    `Length` | `marginLeft` The "margin-left" property.
    `Length` | `marginRight` The "margin-right" property.
    `Length` | `marginTop` The "margin-top" property.
    `SpaceProperty` | `spaceAfter` The "space-after" property.
    `SpaceProperty` | `spaceBefore` The "space-before" property.
    `Length` | `startIndent` The "start-indent" property.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonMarginBlock(PropertyList pList)` Create a CommonMarginBlock object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### marginTop

          public Length marginTop

      The "margin-top" property.

    - #### marginBottom

          public Length marginBottom

      The "margin-bottom" property.

    - #### marginLeft

          public Length marginLeft

      The "margin-left" property.

    - #### marginRight

          public Length marginRight

      The "margin-right" property.

    - #### spaceBefore

          public SpaceProperty spaceBefore

      The "space-before" property.

    - #### spaceAfter

          public SpaceProperty spaceAfter

      The "space-after" property.

    - #### startIndent

          public Length startIndent

      The "start-indent" property.

    - #### endIndent

          public Length endIndent

      The "end-indent" property.

  - ### Constructor Detail

    - #### CommonMarginBlock

          public CommonMarginBlock(PropertyList pList)
                            throws PropertyException

      Create a CommonMarginBlock object.
      Parameters:
        `pList` - The PropertyList with propery values.
      Throws:
        `PropertyException` - if a property exception occurs

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.